Bug 1459995 - qemu: Support built-in SMB server
qemu: Support built-in SMB server
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Depends On:
  Show dependency treegraph
Reported: 2017-06-08 15:03 EDT by nathan.renniewaldock
Modified: 2017-07-25 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-20 16:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description nathan.renniewaldock 2017-06-08 15:03:30 EDT
Currently, to start qemu's built-in SMB server, you'd need to use something like:
    <qemu:arg value='-netdev'/>
    <qemu:arg value='user,smb=/mnt/shared,id=smb0,restrict=on'/>
    <qemu:arg value='-device'/>
    <qemu:arg value='virtio-net-pci,netdev=smb0'/>

It would be better if we could use something like:
<interface type='user'>
  <smb path='/mnt/shared'/>
Comment 1 Cole Robinson 2017-06-20 16:52:53 EDT
I don't think this is anything we will support in libvirt. The qemu option is just a hack 'convenience' wrapper for launching a samba instance with some minimal working config, and I don't think even qemu devs consider it a supported/maintained feature, and more so historical baggage.

I'll close this, but if you want to discuss more I suggest mailing libvir-list@redhat.com
Comment 2 nathan.renniewaldock 2017-07-25 12:57:18 EDT
I'm not finding any mention of this no longer being supported/maintained on qemu's site (only that the old -smb argument is deprecated). Currently, this seems to be the simplest way of sharing a host folder with an isolated Windows guest, as there is no 9pfs driver for Windows.
I don't think there's much more to add to this, so I'll just leave it as is.

Note You need to log in before you can comment on or make changes to this bug.